MyVREsPortlet (My VREs Portlet 1.2.0-SNAPSHOT API)
Date: 2014-06-10

org.gcube.portlet.user.my_vres.server.portlet

## Class MyVREsPortlet

- java.lang.Object
- - javax.portlet.GenericPortlet
  - - org.gcube.portlet.user.my_vres.server.portlet.MyVREsPortlet

- All Implemented Interfaces:
    javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet

      public class MyVREsPortlet
      extends javax.portlet.GenericPortlet

  MyVREsPortlet Portlet Class
  Version:
    1.0 Jun 2012
  Author:
    Massimiliano Assante - ISTI CNR

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `viewJSP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyVREsPortlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doView(javax.portlet.RenderRequest renderRequest, javax.portlet.RenderResponse renderResponse)`
    `protected void` | `include(String path, javax.portlet.RenderRequest renderRequest, javax.portlet.RenderResponse renderResponse)`
    `void` | `init()`
    `void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`

    - ### Methods inherited from class javax.portlet.GenericPortlet

      `destroy, doDispatch, doEdit, doHeaders, doHelp, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, processEvent, render, serveResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### viewJSP

          protected String viewJSP

  - ### Constructor Detail

    - #### MyVREsPortlet

          public MyVREsPortlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws javax.portlet.PortletException

      Overrides:
        `init` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`

    - #### doView

          public void doView(javax.portlet.RenderRequest renderRequest,
                    javax.portlet.RenderResponse renderResponse)
                      throws IOException,
                             javax.portlet.PortletException

      Overrides:
        `doView` in class `javax.portlet.GenericPortlet`
      Throws:
        `IOException`
        `javax.portlet.PortletException`

    - #### include

          protected void include(String path,
                     javax.portlet.RenderRequest renderRequest,
                     javax.portlet.RenderResponse renderResponse)
                          throws IOException,
                                 javax.portlet.PortletException

      Throws:
        `IOException`
        `javax.portlet.PortletException`

    - #### processAction

          public void processAction(javax.portlet.ActionRequest request,
                           javax.portlet.ActionResponse response)
                             throws javax.portlet.PortletException,
                                    IOException

      Specified by:
        `processAction` in interface `javax.portlet.Portlet`
      Overrides:
        `processAction` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

Copyright © 2014. All Rights Reserved.